Bug 108018 - RFE: if dhcp is used, you cannot see the IP you received
Summary: RFE: if dhcp is used, you cannot see the IP you received
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 87718
TreeView+ depends on / blocked
 
Reported: 2003-10-26 11:14 UTC by Paul Ionescu
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 11:14:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Ionescu 2003-10-26 11:14:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009
Epiphany/1.0.1

Description of problem:
if dhcp is used for IP configuration, then you don't have the option to view the
actual settings you received from DHCP server, unless you open a command prompt
and do "ifconfig eth?", "cat /etc/resolv.conf", "route" and so on. I can do
that, but there should be a place in gui to see them. I thing that the best
place is in redhat-control-network program, when you press the Info button, you
should get info about the card selected and not about the program itself.
Also should be nice to see interface counters. (bytes in/out, packets in/out,
a.s.o. )
This should be the actual network setup, not read from config files (except
maybe for dns which is in /etc/resolv.conf).
So, if I manualy enter "ifconfig eth1 1.1.1.1 up" , I should see this value in
the info window, not what is in the profile ifcfg-eth1.
The same for the routes, and others.


Version-Release number of selected component (if applicable):
somewhere you should be able to see the IP in the gui

How reproducible:
Always

Steps to Reproduce:
1.open whatever program you want from redhat-config-network
2.try to see actual network setup, and interface/network counters.

    

Actual Results:  cannot find it.

Expected Results:  should be somewhere.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.